Summary:	xscope - X Window Protocol viewer
Summary(pl.UTF-8):	xscope - podglądacz protokołu X Window
Name:		xorg-app-xscope
Version:	1.4.5
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xscope-%{version}.tar.xz
# Source0-md5:	0d46e1c303f6b29e17f074406f670f95
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xscope sits in-between an X11 client and an X11 server and prints the
contents of each request, reply, error, or event that is communicated
between them. This information can be useful in debugging and
performance tuning of X11 servers and clients.

%description -l pl.UTF-8
Program xscope umiejscawia się między klientem a serwerem X11 i
wypisuje zawartość każdego żądania, odpowiedzi, błędu i zdarzenia,
które jest przesyłane między nimi. Informacje te mogą być przydatne
przy diagnostyce i poprawianiu wydajności serwerów i klientów X11.

%prep
%setup -q -n xscope-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README.md
%attr(755,root,root) %{_bindir}/xscope
%{_mandir}/man1/xscope.1*
%changelog
* Sun Mar 09 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xscope.git;a=log;h=master

* Sun Mar 09 2025 Jakub Bogusz <qboosh@pld-linux.org> 4f2c19f
- updated to 1.4.5

* Mon Jun 05 2023 Jakub Bogusz <qboosh@pld-linux.org> b00d0b9
- updated to 1.4.4

* Tue Jul 12 2022 Jakub Bogusz <qboosh@pld-linux.org> ffed8b7
- updated to 1.4.3

* Tue Dec 14 2021 Jakub Bogusz <qboosh@pld-linux.org> 0f8a457
- updated to 1.4.2

* Sat Jun 07 2014 Jakub Bogusz <qboosh@pld-linux.org> 05c8834
- updated to 1.4.1

* Sat Nov 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 3340c88
- updated to 1.4

* Wed Feb 22 2012 Jakub Bogusz <qboosh@pld-linux.org> a24912a
- updated to 1.3.1

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 7954b89
- updated to 1.3

* Mon Oct 05 2009 Jakub Bogusz <qboosh@pld-linux.org> 4277b9d
- util-macros version
- added README and NEWS to doc

* Thu Oct 01 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 530f779
- up to 1.2

* Wed Sep 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 28f8a91
- missing include on Linux

* Wed Sep 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 4952bb7
- new

